## walinuxagent 2.9.1.1

=== debian/changelog ===
walinuxagent (2.9.1.1-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:30:08 +1100

walinuxagent (2.9.1.1-0ubuntu2) noble; urgency=high

  * debian/postinst: remove dhclient reference and configuration
    (LP: #2055260).
  * debian/control: add python3-setuptools to support distutils in python 3.12
    (LP: #2055269).
  * debian/patches/fix_escape_sequence_warning.patch: fix escape sequence
    errors with python 3.12 (LP: #2055429).

 -- Calvin Mwadime <calvin.mwadime@canonical.com>  Wed, 28 Feb 2024 12:10:06 +0300

walinuxagent (2.9.1.1-0ubuntu1) noble; urgency=medium

  [ Calvin Mwadime ]
  * New upstream version 2.9.1.1
  * debian/watch: Fix package version regex pattern
  * debian/docs: Remove the changelog
  * debian/install: add new udev rules
  * debian/patches:
    - Remove deprecated patches
    - Update list of supported ubuntu versions
    - Correctly point to the right dhcp client lease file
    - Update the cgroup handling to include v2
  * disable_udev_overrides.patch: Remove udev overrides in setup.py
  * debian: Make python unit tests work
  * debian: Remove upstart config
  * debian/control: Remove isc-dhcp-client
  * debian/manpages: Added manpages

  [ Christian Ehrhardt ]
  * d/control, d/compat: switch to compat level 13
  * d/rules, d/install: install services once
  * d/control: drop old unneeded X-Python3-Version statement
  * d/rules: stop using the old systemd dh sequence
  * d/control: add iproute2 build dependency (test only)
  * d/control: fix lintian priority-extra-is-replaced-by-priority-optional
  * d/install: move remaining things to /usr

 -- Calvin Mwadime <calvin.mwadime@canonical.com>  Thu, 30 Nov 2023 11:07:05 +0300

walinuxagent (2.2.46-0ubuntu7) lunar; urgency=medium

  * Remove udev rule for serial console (LP: #2016012)

 -- Gauthier Jolly <gauthier.jolly@canonical.com>  Thu, 13 Apr 2023 13:58:02 +0200

walinuxagent (2.2.46-0ubuntu6) kinetic; urgency=medium

  * Add patch to fix handling of gen2 disks
    w/ udev rules. (LP: #1971141)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 02 May 2022 16:34:50 +0530

walinuxagent (2.2.46-0ubuntu5) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:37:33 +0000

walinuxagent (2.2.46-0ubuntu4) jammy; urgency=medium

  * Build on arm64. (LP: #1954678)

 -- Brian Murray <brian@ubuntu.com>  Mon, 13 Dec 2021 10:03:18 -0800

walinuxagent (2.2.46-0ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:26:17 +0200

walinuxagent (2.2.46-0ubuntu2) hirsute; urgency=medium

  * Drop build-dependency on obsolete dh-systemd

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 Mar 2021 17:00:09 -0800

=== debian/control ===
Source: walinuxagent
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Microsoft Corporation <walinuxagent@microsoft.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               debhelper (>= 9.20160709) | dh-systemd,
               go-md2man,
               iproute2,
               python3-all,
               python3-setuptools,
               python3-pyasn1,
               python3-distro,
               python3-mock,
               python3-nose,
               python3-nose-timer,
               python3-wrapt,
               pylint,
               python3-distro,
               python3-coverage,
               iptables,
               openssl (>= 1.0),
Standards-Version: 3.9.8
Homepage: http://go.microsoft.com/fwlink/?LinkId=250998

Package: walinuxagent
Architecture: amd64 arm64
Depends: cloud-init (>= 0.7.3~bzr826-0ubuntu2),
         openssh-server (>= 1:5.9p1),
         openssl (>= 1.0),
         passwd (>= 4.1.4.2),
         util-linux (>= 2.0),
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends},
Description: Windows Azure Linux Agent
 The Windows Azure Linux Agent supports the provisioning and running of Linux
 VMs in the Windows Azure cloud. This package should be installed on Linux
 disk images that are built to run in the Windows Azure environment.

=== debian/rules ===
#!/usr/bin/make -f
DEB_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
ORIG_SRC=https://github.com/WindowsAzure/WALinuxAgent

get-packaged-orig-source:
	git clone --separate-git-dir=walinuxagent.checkout \
		$(ORIG_SRC) orig_source
	git checkout -b tags/v$(DEB_VERSION)
	git archive --format=tar.gz v$(DEB_VERSION) \
		-o walinuxagent_$(DEB_VERSION).orig.tar.gz
	rm -rf walinuxagent.checkout
	rm -rf orig_source

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_installman:
	go-md2man -in=README.md -out=debian/walinuxagent.1

override_dh_installsystemd:
	# remove service placed in the wrong path by upstream install
	rm -f debian/walinuxagent/lib/systemd/system/walinuxagent.service
	dh_installsystemd --name walinuxagent --no-stop-on-upgrade walinuxagent.service
	dh_installsystemd --name walinuxagent --no-stop-on-upgrade ephemeral-disk-warning.service

override_dh_python3:
	dh_python3 -O--buildsystem=pybuild --shebang "/usr/bin/env python3"

override_dh_auto_test:
	nosetests3 -a '!requires_sudo' tests

=== debian/watch ===
version=4
 opts="searchmode=plain,\
 filenamemangle=s/.+?v?(\d+(?:\.\d+)*)/walinuxagent-$1\.tar\.gz/" \
 https://api.github.com/repos/Azure/WALinuxAgent/releases https://api.github.com/repos/Azure/WALinuxAgent/tarball/v@ANY_VERSION@

## walinuxagent 2.11.1.4

=== debian/changelog ===
walinuxagent (2.11.1.4-0ubuntu3) plucky; urgency=medium

  * Add d/p/use-legacycrypt-for-python3_13.patch:
    - Takes upstream fix to account for the crypt module being dropped in Python 3.13.
    - Use legacycrypt for Python >= 3.13.
    - Adds stub to ensure process will not crash if no crypt module is present.
    - LP: #2104189
  * d/rules: Disable test_get_password_hash because it is expected to fail.
    It depends on python3-legacycrypt which is in universe, while walinuxagent
    is in main.

 -- Aleksa Svitlica <aleksa.svitlica@canonical.com>  Mon, 31 Mar 2025 14:19:15 -0400

walinuxagent (2.11.1.4-0ubuntu2) oracular; urgency=medium

  * fix d/p/embed-distutils-to-azurelinuxagent.patch to prevent
    azurelinuxagent/distutils/__init__.py to be created empty and thus ignored
    by dpkg-source which in turn would make setuptools miss the Python
    distutils package that would then be missing from the debian package
    (LP: #2077975).

 -- Gauthier Jolly <gauthier.jolly@canonical.com>  Wed, 28 Aug 2024 09:08:57 +0200

walinuxagent (2.11.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (LP: #2068019):
    - Full list of changes is available at:
      https://github.com/Azure/WALinuxAgent/releases/tag/v2.11.1.4
    - Remove patches:
      + d/p/fix_systemd_networkd_lease_file_path.patch: Merged
        upstream (#2979) and released in version 2.10.0.8.
      + d/p/fix_cgroup_v2_mounting_and_systemd_process.patch: Drop
        because for now is intentional that the agent does not enable
        cgroup usage when v2 is detected, but it is allowed that users
        run the log collector by command line without cgroup monitoring
        (#2939). This was released in version 2.10.0.8.
    - Refresh patches:
      + d/p/update_dhcp_client_ubuntu_supported_versions.patch:
        Merged upstream (#2980) and released in version 2.10.0.8.,
        but still need to fix a version (#3159).
      + d/p/fix_escape_sequence_warning.patch.
  * d/p/complete_exception_info_on_test.patch: Fix incomplete
    mocked exception creation to prevent it from being lost
    when another exception occurs.
  * d/p/disable_udev_overrides.patch: Refresh to make it compliant
    with DEP-3.
  * d/p/embed-distutils-to-azurelinuxagent.patch: due to distutils
    deprecation, upstream embedded it (#3063).
  * d/p/update-test-certificate-data.patch: Avoid  decryption failure
    that was making some tests behave unexpectedly (#3166) (fixes #3163).
  * Drop the use of nose (LP: #2063046):
    - d/control: Remove nose dependencies in favor of pytest.
    - d/p/run-unit-test-with-pytest-python3_10.patch: Apply upstream
      (#3081) merged at develop.
    - d/rules: Test overriding to avoid launching tests that require
      sudo.
  * Some polishing actions were taken:
    - d/control:
      + No need to rely on dh-systemd anymore since we have
        debhelper > 11.
      + Drop redundant build-dependency.
    - d/rules:
      + Get DEB_* variables from pkg-info.mk instead of parsing
        changelog.
      + Drop get-packaged-orig-source target because it is deprecated
        since Debian Policy version 4.1.4.
    - d/copyright: Change protocol to use https

 -- Miriam España Acebal <miriam.espana@canonical.com>  Thu, 20 Jun 2024 09:49:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Microsoft Corporation <walinuxagent@microsoft.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               debhelper (>= 9.20160709) | dh-systemd,
+               debhelper (>= 9.20160709),
                go-md2man,
                iproute2,
                python3-all,
@@ -13,11 +13,9 @@
                python3-pyasn1,
                python3-distro,
                python3-mock,
-               python3-nose,
-               python3-nose-timer,
+               python3-pytest,
                python3-wrapt,
                pylint,
-               python3-distro,
                python3-coverage,
                iptables,
                openssl (>= 1.0),

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_installman:
	go-md2man -in=README.md -out=debian/walinuxagent.1

override_dh_installsystemd:
	# remove service placed in the wrong path by upstream install
	rm -f debian/walinuxagent/lib/systemd/system/walinuxagent.service
	dh_installsystemd --name walinuxagent --no-stop-on-upgrade walinuxagent.service
	dh_installsystemd --name walinuxagent --no-stop-on-upgrade ephemeral-disk-warning.service

override_dh_python3:
	dh_python3 -O--buildsystem=pybuild --shebang "/usr/bin/env python3"

override_dh_auto_test:
	pytest --ignore-glob '*/test_cgroupconfigurator_sudo.py' --deselect 'tests/common/utils/test_text_util.py::TestTextUtil::test_get_password_hash' --verbose tests

## walinuxagent 2.15.0.1

=== requirements.txt ===
distro; python_version >= '3.8'
pyasn1
crypt-r; python_version >= '3.13'

=== debian/changelog ===
walinuxagent (2.15.0.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (LP: #2141533):
    - Full list of changes is available at:
      https://github.com/Azure/WALinuxAgent/releases/tag/v2.15.0.1
    - Remove patches:
      + d/p/update_dhcp_client_ubuntu_supported_versions.patch: Merged
        upstream (#3159) and released in version pre-v2.13.0.0.
      + d/p/fix_escape_sequence_warning.patch: The code to which most
        of this patch applies has been refactored (#3221), and the
        prefix “r” has also been added for expressions (#3084),
        which means that this patch is no longer necessary. This was
        released in version 2.12.0.0.
      + d/p/complete_exception_info_on_test.patch: Merged upstream
        (#3149) and released in version pre-v2.13.0.0.
      + d/p/embed-distutils-to-azurelinuxagent.patch: Merged upstream
        (#3063) and released in version pre-v2.13.0.0.
      + d/p/run-unit-test-with-pytest-python3_10.patch: Merged
        upstream (#3081) and released in version pre-v2.13.0.0.
      + d/p/update-test-certificate-data.patch: Merged upstream
        (#3166) and released in version pre-v2.13.0.0.
      + d/p/use-legacycrypt-for-python3_13.patch: Merged upstream
        (#3070) and released in version pre-v2.13.0.0.
    - Refresh patches:
      + d/p/disable_udev_overrides.patch.

  * Switch the password hashing fallback from python3-crypt-r to
    python3-passlib, and drop the use of the Python3-crypt-r package,
    in order to align with the Ubuntu main archive policy
    (LP: #2106484):
    + d/p/switching-crypt_r-passlib-python3_13.patch:
      Switch crypt usage to passlib’s sha512_crypt, so
      provisioning keeps working on Python 3.13+. Update runtime and
      test dependencies to pull in passlib instead of crypt-r/legacycrypt.
    + d/control: Add build and runtime dependency on python3-passlib.

  * d/p/fix-some-tests-due-to-python3_14-changes.patch: 'fork' is needed when
    the parent process sets mocks because Python 3.14 changed the default start
    method of multiprocessing.Process.

  * d/rules:
    + Remove deselection of no longer existing tests test_get_password_hash
      on that path.
    + Deselect tests which uses VMAccessForLinux extension because it is not
      yet fully enabled in the agent and the related new feature is still in
      development.
    + Ignore all test that require root privileges to run.

  * d/tests/control: run tests that require sudo and are
    thereby ignored at build time.

  * DEP-17 compliance (LP: #2139222):
    - d/rules: Avoid /lib aliased-location error on lintian, making it
      compliant with DEP-17.
    - d/install: Update to be DEP-17 usrmerge compliant.

  * Included changes from waagent Debian unstable:
    [ Bastian Blank ]
    - d/control: Fix missing Pre-Depends.

    [ Noah Meyerhans ]
    - d/p/re-work-flaky-tests.patch: Not depending in ls output.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Mon, 12 Jan 2026 16:29:09 +0100

walinuxagent (2.11.1.4-0ubuntu4) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 12:06:41 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python3-all,
                python3-setuptools,
                python3-pyasn1,
+               python3-passlib,
                python3-distro,
                python3-mock,
                python3-pytest,
@@ -24,12 +25,15 @@
 
 Package: walinuxagent
 Architecture: amd64 arm64
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends: cloud-init (>= 0.7.3~bzr826-0ubuntu2),
          openssh-server (>= 1:5.9p1),
          openssl (>= 1.0),
          passwd (>= 4.1.4.2),
          util-linux (>= 2.0),
          python3-setuptools,
+         python3-passlib,
          ${misc:Depends},
          ${python3:Depends},
 Description: Windows Azure Linux Agent

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_installman:
	go-md2man -in=README.md -out=debian/walinuxagent.1

override_dh_installsystemd:
	# remove service placed in the wrong path by upstream install
	rm -rf debian/walinuxagent/lib
	dh_installsystemd --name walinuxagent --no-stop-on-upgrade walinuxagent.service
	dh_installsystemd --name walinuxagent --no-stop-on-upgrade ephemeral-disk-warning.service

override_dh_python3:
	dh_python3 -O--buildsystem=pybuild --shebang "/usr/bin/env python3"

override_dh_auto_test:
	pytest --ignore-glob '*/test_*_sudo.py' --deselect 'tests/ga/test_extension.py::TestSignatureValidationNotEnforced' --verbose tests

=== debian/tests/control ===
Test-Command: pytest -v tests/*/test_*_sudo.py
Depends: python3-all, python3-pytest, python3-mock, python3-wrapt, @
Restrictions: allow-stderr, needs-root, isolation-machine
